Skip to main content
Operations Management/Billing Management Operations

UpdateResourcePrice

UpdateResourcePrice

PUT/zstack/v1/billings/prices/{uuid}/actions

Operation ID

UpdateResourcePrice

Since

3.7.2

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource price UUID.

Body Fields

  • endDateInLong
    Long

    Optional. The resource price expiration date.

  • setEndDateInLongBaseOnCurrentTime
    boolean

    Optional. Sets the resource price expiration date to the current time.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    PriceInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • resourceName
      StringRequired

      The resource name.

    • resourceUnit
      StringRequired

      The billing unit of the resource.

    • timeUnit
      StringRequired

      The billing time unit.

    • price
      DoubleRequired

      The unit price.

    • dateInLong
      LongRequired

      The long-integer time.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • tableUuid
      StringRequired

      The price table UUID.

    • pciDeviceOfferings
      ListRequired

      See pciDeviceOfferings.

      • priceUuid
        StringRequired

        The price UUID.

      • pciDeviceOfferingUuid
        StringRequired

        The PCI device offering UUID.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.